<?php
/**
 * @file
 * Hooks and documentation related to drupal_dam module
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * alter the entity before it gets pushed to DAM
 * \Drupal\drupal_dam\Service\DAMJSONPushService
 *
 * @param \Drupal\Core\Entity\ContentEntityInterface $entity
 */
function hook_drupal_dam_push_entity_alter(\Drupal\Core\Entity\ContentEntityInterface &$entity) {
  // Add to taxonomy term reference field
  $entity->get('field_tags')->appendItem(['target_id' => 1]);
}

/**
 * @} End of "addtogroup hooks".
 */
